Subject: [AVT] File format for EVRC/SMV vocoder

From: "Adam Li" <[email-masked]>
Date: Wed, 5 Mar 2003 11:58:44 -0800

Hi folks,

One issue just recently been raised about the file format for EVRC and
SMV data, which is specified the MIME registration for them. We very
much would like to hear your ideas and comments on this issue. 

As you may have known, we are working the IETF specification on the RTP
Payload Format for EVRC/SMV. It specifies how the EVRC/SMV payload is
carried in RTP sessions, and it also registered the MIME format for the
EVRC and SMV vocoders. The draft (draft-ietf-avt-evrc-smv) is currently
at the final editing stage at the IETF FRC Editor's queue.

There has been a file format defined in the draft-ietf-avt-evrc-smv at
the MIME registration for EVRC/SMV. The file format specified there
hasn't been changed much since the first version of the draft in 2000.

There is a new Internet Draft, draft-garudadri-qcp-00.txt, specifies a
different way of storage using the QCP file format, which has been used
for QCEPL-13K and EVRC by some applications.

Currently, it has been proposed to remove the file format specification
in the draft-ietf-avt-evrc-smv, and to expand the draft-garudadri-qcp to
be the only formal specification for the file format for EVRC/SMV. On
the other hand, there are also suggestions to keep the file format at it
is specified in the draft-ietf-avt-evrc-smv.

We would like to hear your suggestions, and hear from you how you think
would be the best way to proceed. Your comments are very much
appreciated.

Adam

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: [email-masked]
Date: Wed, 5 Mar 2003 14:10:27 -0600

Adam,

Please include Jae-Yong Lee and Shigeyuki Sakazawa to this discussion. The are co-editors of the 3GPP2 file format specification along with Hari and myself.

regards,
Keith

-----Original Message-----
From: ext Adam Li [mailto:[email-masked]]
Sent: 05 March, 2003 1:59 PM
To: Ietf-Avt; 3GPP2 TSG-C
Cc: Miller Keith (NRC/Dallas); [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked]; Leon
David (NRC/Dallas); [email-masked]; [email-masked];
[email-masked]; [email-masked];
[email-masked]; [email-masked]; Greer Craig
(Nokia/Dallas); [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked]; 'Colin
Perkins'
Subject: File format for EVRC/SMV vocoder

Hi folks,

Adam

---

From: "Lars-Erik Jonsson (EAB)" <[email-masked]>
Date: Fri, 7 Mar 2003 12:58:04 +0100

Adam and others,

I thought the reason for defining also the file format in the IETF
was to make it in line with the transport format, and also because
you would get it almost "for free" when you define the transport
format. The proposed new approach seems to take away those motives,
and then I do not understand why we should do it in the IETF.

Further, I wonder what would be the rationales for using this new
QCP format instead of the file format defined in the EVRC/SMV draft?

If we are to standardize a file format in this body, I can not see
why we should not stick to the format that is already finalized and
has been taken through our standards process. 

/L-E

> From: Mark Baugher [mailto:[email-masked]]
> 
> Adam
>    I have a question:  Why take a file format specification 
> through the IETF?
> 
> Best regards, Mark

---

From: Harinath Garudadri <[email-masked]>
Date: Fri, 07 Mar 2003 10:23:48 -0800

At 12:58 PM 3/7/2003 +0100, Lars-Erik Jonsson (EAB) wrote:
>format.

In RFC2658, the payload format for PureVoice, the fileformat for storing 
data was not specified. We wanted rectify this and hence the 
draft-garudadri-qcp-00.txt.

>The proposed new approach seems to take away those motives,

It turns out that there have been multiple, independent implementations of 
the qcp format for quite some. Our understanding is that the qcp format is 
quite mature and many applications use this format to exchange PureVoice 
and EVRC data. It is also widely used in many CDMA handsets. 
draft-garudadri-qcp-00.txt did not propose storage format for SMV, but 
there have been suggestions to include SMV in the next revision.

>has been taken through our standards process.

I think it would be useful to understand the extent to which the format 
defined in EVRC/SMV draft has been implemented, tested and being used. We 
proposed MIME type audio/qcp with qcelp and evrc as parameters, but we were 
advised that a better technical solution was to reuse audio/evrc 
andaudio/qcelp. Thanks,

hari.

> >    I have a question:  Why take a file format specification

Dr. Hari Garudadri
phone : 858-651-6383
mobile : 858-229-2801
pager  : 858-653-0963 or [email-masked]

---

From: Randall Gellens <[email-masked]>
Date: Mon, 10 Mar 2003 20:12:41 -0800

>  has been taken through our standards process.

Given that there are a number of deployed implementations which have 
been using the qcp format to exchange qcelp-13k and evrc, what is the 
advantage of having the audio/evrc media type specify a different 
format?
-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly-selected tag: ---------------
Despite an abundance of devoted followers, the production of great
leaders been discontinued.
_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Harinath Garudadri <[email-masked]>
Date: Sun, 16 Mar 2003 16:12:22 -0800

At 08:04 AM 3/17/2003 +0900, Jae-Yong Lee wrote:
>Hi all,
>
>To my best knowledge, QT is supporting QCELP "codec"
>(in QT file format), not the .qcp file format.

I was able to create a qcp file in my Eudora client and send to someone who 
uses a different email client. When he launched Quicktime for this file, he 
was able to play the file as is and also convert the file to .mov format. 
Here is the .mov version of the file for those who have Quicktime.

>Jay
>
> >
> > Hi, Randy,
> >
> > Are there any intellectual property issues with the qcp format?
> >
> > Also, were the interoperable implementations of the qcp format really
> > done independently?  My understanding is that Eudora is a Qualcomm
> > product and that Apple acted merely as an integrator and distributer
> > of the PureVoice technology from Qualcomm.  If these implementations
> > are not independent it may be misleading for you to talk about
> > interoperability.
> >
> > -Pete
> >
> >
> > Randall Gellens writes:
> >  > At 1:52 PM +0100 3/11/03, Lars-Erik Jonsson (EAB) wrote:
> >  >
> >  > >  OK, but why has not this issue been brought up earlier?
> >  >
> >  > Because of an unfortunate oversight.  Neither myself nor the other
> >  > authors of the evrc/smv draft were aware of the qcp
> > format.  I very
> >  > much regret this.  At the time we were working on the
> > evrc/smv draft,
> >  > we specified a file format to make the draft complete.
> > Had we been
> >  > aware of an existing format that was currently being used to
> >  > interoperably exchange vocoder frames, I'm sure it would have been
> >  > considered instead of inventing something new.
> >  >
> >  > >   The EVRC/SMV
> >  > >  format work in AVT has been going on for a long time,
> > and therefore one
> >  > >  can question whether it is correct (from a procedural
> > point of view) to
> >  > >  suddenly not use what has been developed in this WG,
> > but use something
> >  > >  defined elsewhere. IETF standardization is usually an
> > engineering
> >  > >  process, not rubber-stamping of already deployed
> > technical solutions.
> >  >
> >  > When I learned of the qcp format, my suggestion for how to proceed
> >  > was to register a new mime type (audio/qcp) so as to not risk
> >  > delaying the evrc draft.  (As one of the authors of that draft, I
> >  > have no desire to delay it at all.)  This is what the current qcp
> >  > draft says.  However, I was told to do the technically
> > correct thing
> >  > instead.
> >  >
> >  > >  Note that I am not aware of all the details in this
> > matter, but what
> >  > >  has been communicated on the list does not provide
> > enough material for
> >  > >  motivating what has been proposed. "We have already
> > deployed this
> >  > >  alternative format while you were trying to agree on a
> > standard, and
> >  > >  now we think you should use our format instead since it is more
> >  > >  widely deployed" is a rather strange way of arguing in standards
> >  > >  development, I think.
> >  >
> >  > The QCP format was in deployment when we started working on the
> >  > evrc/smv draft, but neither I not the other authors were aware of
> >  > this.  It's not the case that the qcp format was deployed
> > afterwards
> >  > or in parallel, in an attempt to circumvent process.
> >  >
> >  > The question now is how best to proceed.  As I said, my initial
> >  > suggestion was to take the easy path of not deleting the
> > file format
> >  > from the evrc/smv draft, and instead to use a kludge of
> > registering a
> >  > new mime type for the qcp file format.
> >
> >

Hari Garudadri (from Vancouver, B.C.)
mobile : 858-229-2801

---

From: "Jae-Yong Lee" <[email-masked]>
Date: Mon, 17 Mar 2003 08:04:22 +0900

Hi all,

Jay